Bug 469127 - RFE: quota support for ext4
RFE: quota support for ext4
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: quota (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 500231
  Show dependency treegraph
 
Reported: 2008-10-29 21:57 EDT by Eric Sandeen
Modified: 2009-05-11 15:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: quota-3.16-6.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 500231 (view as bug list)
Environment:
Last Closed: 2008-10-30 07:27:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sandeen 2008-10-29 21:57:29 EDT
quota-tools currently only recognizes the "ext4dev" fileystem type; it's a trivial change to support ext4 as well, patch at:

http://marc.info/?l=linux-fsdevel&m=122532700130950&w=2

Thanks,
-Eric
Comment 1 Ondrej Vasik 2008-10-30 02:09:20 EDT
Thanks for report and detailed informations. I don't see that patch reported upstream, so will do that ... and of course will include it to Fedora - as it looks ok and helpful.
Comment 2 Ondrej Vasik 2008-10-30 07:27:33 EDT
Built as quota-3.16-6.fc10, dist-f10-updates-candidate, closing RAWHIDE ... do you think that it does make sense to get it to f10-final? Or F10-update after release should be enough and ok?
Comment 3 Eric Sandeen 2008-10-31 12:52:33 EDT
Thanks for the quick resolution!

I'll leave it up to you on F10.

I've not gotten any bug reports from ext4 users in rawhide/F10 so it's probably not terribly pressing; on the other hand it's a simple change.

Thanks,
-Eric
Comment 4 Cong Ma 2008-11-09 06:33:25 EST
Can you build this patched version for F9 too? I'm using F9, 2.6.27-5 testing kernel, and ext4 (not "ext4dev") filesystems. The current package for F9 (quota-3.15-7.fc9) doesn't work...

Thanks!
Comment 5 Eric Sandeen 2008-11-09 09:47:54 EST
Just a note if you are testing quota, there are further pending kernel-side changes for proper delalloc+quota support... see the linux-ext4 list for details.

-Eric
Comment 6 Ondrej Vasik 2008-11-10 02:58:10 EST
Ok, will do update for F9 as well...
Comment 7 Fedora Update System 2008-11-10 07:36:25 EST
quota-3.16-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/quota-3.16-6.fc10
Comment 8 Fedora Update System 2008-11-22 11:59:37 EST
quota-3.16-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.